Bug 209344 - SELinux is preventing /lib/ld-2.5.so (prelink_t) "execute" to /usr/bin/spamc (spamc_exec_t).
SELinux is preventing /lib/ld-2.5.so (prelink_t) "execute" to /usr/bin/spamc ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-04 14:49 EDT by Dave Malcolm
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-08 08:51:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2006-10-04 14:49:08 EDT
From setroubleshoot:
Source Context system_u:system_r:prelink_t
Target Context system_u:object_r:spamc_exec_t
Target Objects /usr/bin/spamc [ file ]
Affected RPM Packages glibc-2.5-1 
[application] spamassassin-3.1.4-1.fc6 
[target] Policy RPM selinux-policy-2.3.17-1
Selinux Enabled True
Policy Type targeted
MLS Enabled True
Enforcing Mode Enforcing
Plugin Name plugins.catchall
Host Name brick
Platform Linux brick 2.6.18-1.2724.fc6 #1 SMP Sun Oct 1 19:43:37 EDT 2006 i686 i686
Raw Audit Messages: denied { execute } for comm='"ld-linux.so.2"' dev='dm-0'
egid='0' euid='0' exe='"/lib/ld-2.5.so"' exit='-13' fsgid='0' fsuid='0' gid='0'
items='0' name='"spamc"' path='"/usr/bin/spamc"' pid='29197'
scontext=system_u:system_r:prelink_t:s0 sgid='0'
subj='system_u:system_r:prelink_t:s0' suid='0' tclass='file'
tcontext=system_u:object_r:spamc_exec_t:s0 tty='(none)' uid='0'
Comment 1 Daniel Walsh 2006-10-04 15:01:47 EDT
Fixed in selinux-policy-2.3.18-2

Note You need to log in before you can comment on or make changes to this bug.